Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.ix.jspTutorial.database
Class DatabaseGenericObject

    java.lang.Object
      |
      +--de.ix.jspTutorial.database.DatabaseGenericObject

public class DatabaseGenericObject
extends java.lang.Object
implements I_DatabaseGenericObject

Generisches Objekt zur Speicherung mit dem DatabaseGenericModifier.

Version:
  $Id:$
Author:
  Peter Rossbach (pr@webapp.de)

Field Summary
`private java.util.Hashtable` | `myAttributes` Daten
`static java.lang.String` | `vcid` Version der Klasse

Fields inherited from interface de.ix.jspTutorial.database.I_DatabaseGenericObject
`vcid`

Fields inherited from interface de.ix.jspTutorial.database.I_DatabaseObject
`vcid`

Constructor Summary
`DatabaseGenericObject()` Konstruktor
`DatabaseGenericObject(java.util.Hashtable aHashtable)` Dieser Konstruktor erzeugt aus einer Hashtable ein DatabaseGenericObject.

Method Summary
`void` | `clear()` Lösche alle Werte und Attribute
`java.lang.Object` | `clone()` Diese Methode erzeugt eine Kopie des Objektes.
`java.util.Enumeration` | `elements()` Diese Methode reicht die Methode elements an die zugrundeliegende Hashtable weiter.
`java.lang.Object` | `getValue(java.lang.String aKey)` Diese Methode liefert den assoziierten Wert des angegebenen Schlüssel aus dem internen Dictionary.
`java.util.Enumeration` | `keys()` Diese Methode reicht die Methode keys an die zugrundeliegende Hashtable weiter.
`void` | `putValue(java.lang.String aKey, java.lang.Object aValue)` Diese Methode registriert den angegeben Wert unter dem angegebenen Schlüssel im internen Dictionary.
`void` | `remove(java.lang.String aKey)` Diese Methode entfernt den angegebenen Schlüssel aus dem internen Dictionary.
`int` | `size()` Diese Methode reicht die Methode size an die zugrundeliegende Hashtable weiter.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### vcid

    public static java.lang.String vcid

  Version der Klasse

### myAttributes

    private java.util.Hashtable myAttributes

  Daten

Constructor Detail

### DatabaseGenericObject

    public DatabaseGenericObject()

  Konstruktor

### DatabaseGenericObject

    public DatabaseGenericObject(java.util.Hashtable aHashtable)

  Dieser Konstruktor erzeugt aus einer Hashtable ein DatabaseGenericObject.
  Parameters:
    `Hashtable` - eine Parameter-Hashtable

Method Detail

### putValue

    public void putValue(java.lang.String aKey,
                         java.lang.Object aValue)

  Diese Methode registriert den angegeben Wert unter dem angegebenen Schlüssel im internen Dictionary. Ist der Schlüssel bereits vorhanden, so wird der alte Wert überschrieben.
  Specified by:
    putValue in interface I_DatabaseGenericObject
  Parameters:
    `aValue` - der Wert
    `aKey` - der Schlüssel

### getValue

    public java.lang.Object getValue(java.lang.String aKey)

  Description copied from interface: I_DatabaseGenericObject
  Diese Methode liefert den assoziierten Wert des angegebenen Schlüssel aus dem internen Dictionary. Ist der Schlüssel nicht vorhanden, so wird null zurueckgegeben.
  Specified by:
    getValue in interface I_DatabaseGenericObject
  Parameters:
    `aKey` - der Schlüssel
  Returns:
    aValue der Wert

### remove

    public void remove(java.lang.String aKey)

  Diese Methode entfernt den angegebenen Schlüssel aus dem internen Dictionary.
  Specified by:
    remove in interface I_DatabaseGenericObject
  Parameters:
    `aKey` - der Schlüssel

### clear

    public void clear()

  Description copied from interface: I_DatabaseGenericObject
  Lösche alle Werte und Attribute
  Specified by:
    clear in interface I_DatabaseGenericObject

### elements

    public java.util.Enumeration elements()

  Diese Methode reicht die Methode elements an die zugrundeliegende Hashtable weiter.
  Specified by:
    elements in interface I_DatabaseGenericObject
  Returns:
    Enumeration der Elements
  See Also:
    `Hashtable`

### keys

    public java.util.Enumeration keys()

  Diese Methode reicht die Methode keys an die zugrundeliegende Hashtable weiter.
  Specified by:
    keys in interface I_DatabaseGenericObject
  Returns:
    Enumeration der Keys
  See Also:
    `Hashtable`

### size

    public int size()

  Diese Methode reicht die Methode size an die zugrundeliegende Hashtable weiter.
  Specified by:
    size in interface I_DatabaseGenericObject
  Returns:
    Anzahl der Key/value-Paare
  See Also:
    `Hashtable`

### clone

    public java.lang.Object clone()

  Diese Methode erzeugt eine Kopie des Objektes.
  Specified by:
    clone in interface I_DatabaseGenericObject
  Overrides:
    clone in class java.lang.Object
  Returns:
    Kopie des Objektes

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

~ Das iX JSP Tutorial III - © 2000 by Peter Roßbach ~